=== debian/control ===
Source: wiggle
Section: vcs
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), time, groff, libncurses5-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/wiggle.git
Vcs-Git: git://git.debian.org/git/collab-maint/wiggle.git
Homepage: http://cgi.cse.unsw.edu.au/~neilb/source/wiggle/

Package: wiggle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: a program for applying patches with conflicting changes
 Wiggle is a program for applying patches that 'patch' cannot
 apply due to conflicting changes in the original.
 .
 Wiggle will always apply all changes in the patch to the original.
 If it cannot find a way to cleanly apply a patch, it inserts it
 in the original in a manner similar to 'merge', and report an
 unresolvable conflict.
