=== debian/watch ===
version=3
http://neil.brown.name/wiggle/ .*wiggle-([\d.]+).tar.gz
