## wiggle 0.8+dfsg1

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,14 @@
 MANDIR  = /usr/share/man
 MAN1DIR = $(MANDIR)/man1
 MAN5DIR = $(MANDIR)/man5
+LDLIBS = -lncurses
 
 all: wiggle wiggle.man test
 
-
-wiggle : wiggle.o load.o split.o extract.o diff.o bestmatch.o ReadMe.o merge.o
-wiggle.o load.o split.o extract.o diff.o bestmatch.o ReadMe.o merge.o : wiggle.h
+wiggle : wiggle.o load.o split.o extract.o diff.o bestmatch.o ReadMe.o \
+              merge.o merge2.o vpatch.o
+wiggle.o load.o split.o extract.o diff.o bestmatch.o ReadMe.o merge.o \
+               merge2.o vpatch.o : wiggle.h
 
 test: wiggle dotest
 	sh dotest
@@ -26,7 +28,7 @@
 	nroff -man wiggle.1 > wiggle.man
 
 clean:
-	rm -f *.o *.man wiggle .version* version
+	rm -f *.o *.man wiggle .version* demo.patch
 	find . -name core -o -name '*.tmp*' -o -name .tmp | xargs rm -f
 
 install : wiggle wiggle.1
@@ -48,3 +50,6 @@
 
 v : version
 	cat version
+
+demo.patch:
+	diff -ru demo.orig demo.patched | sed 's/demo.patched/demo/' > demo.patch
