=== debian/changelog ===
wiggle (0.8+dfsg1-1) unstable; urgency=low

  * Repackage upstream tarball: remove .git and non-free *.ps
    documentation about used algorithm (Closes: #698846). Upstream
    has removed the file in the next release.
  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update year.
  * debian/docs
    - Add missing newline to the last line.
  * debian/wiggle.docs
    - Delete file due to #698846. There is already debian/docs.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 20 Feb 2013 12:12:10 +0200

wiggle (0.8-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): Update to debhelper 9. Add libncurses5-dev.
    - (Description): Adjust first line.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - (override_dh_*_clean): New. Save and restore original files.
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 06:07:32 -0400
