=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), time, groff, libncurses5-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), time, groff, libncurses5-dev
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wiggle.git
 Vcs-Git: git://git.debian.org/git/collab-maint/wiggle.git
 Homepage: http://cgi.cse.unsw.edu.au/~neilb/source/wiggle/
@@ -11,7 +11,7 @@
 Package: wiggle
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: a program for applying patches with conflicting changes
+Description: apply patches with conflicting changes
  Wiggle is a program for applying patches that 'patch' cannot
  apply due to conflicting changes in the original.
  .
