=== debian/changelog ===
wiggle (0.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix big-endian FTBFS (Closes: #733831)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jan 2014 05:16:36 +0000

wiggle (0.9.1-1) unstable; urgency=low

  * New upstream release
    - Non-DSFG file DOC/diff.ps no longer included. See bug #698846.
  * debian/install
    - Rename from debian/wiggle.install.
  * debian/patches:
    - (10): Rm. Fix for a type in ReadMe.c accepted upstream.
    - (20): New. Correct hyphen in manual page.
  * debian/watch
    - Add URL to check new releases. Thanks to Bart Martens
      <bartm@debian.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 23 May 2013 20:30:58 +0300

wiggle (0.8+dfsg1-2) unstable; urgency=low

  * debian/control
    - (Homepage): Update broken URL to Freecode (Closes: #699715).
  * debian/copyright
    - Update upstream URL locations. See above bug.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 28 Feb 2013 10:59:53 +0200
