=== debian/changelog ===
wiggle (1.0+20140408+git920f58a-2) unstable; urgency=medium

  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 20 Oct 2016 17:51:23 +0300

wiggle (1.0+20140408+git920f58a-1) unstable; urgency=low

  * New upstream release (Closes: #736893).
    - 0.9.1-1.1 FTBFS fix included.
  * debian/control
    - (Standards-Version): 3.9.5
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update years.
  * debian/patches
    - Rm, manual page fixes included upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 08 Apr 2014 10:16:48 +0300
