=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), time, groff, libncurses5-dev
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/wiggle.git
-Vcs-Git: git://git.debian.org/git/collab-maint/wiggle.git
-Homepage: http://freecode.com/projects/wiggle
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/wiggle.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/wiggle.git
+Homepage: http://neil.brown.name/wiggle
 
 Package: wiggle
 Architecture: any
