## wiggle 1.1

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,12 @@
 endif
 CFLAGS=$(OptDbg) -I. $(CWFLAGS)
 
+PREFIX  = /usr
 # STRIP = -s
-INSTALL = /usr/bin/install -D
+INSTALL = /usr/bin/install
 DESTDIR =
-BINDIR  = /usr/bin
-MANDIR  = /usr/share/man
+BINDIR  = $(PREFIX)/bin
+MANDIR  = $(PREFIX)/share/man
 MAN1DIR = $(MANDIR)/man1
 MAN5DIR = $(MANDIR)/man5
 LDLIBS = -lncurses
@@ -48,8 +49,9 @@
 	find . -name core -o -name '*.tmp*' -o -name .tmp -o -name .time | xargs rm -f
 
 install : wiggle wiggle.1
-	$(INSTALL) $(STRIP) -m 755 wiggle $(DESTDIR)$(BINDIR)/wiggle
-	$(INSTALL) -m 644 wiggle.1 $(DESTDIR)$(MAN1DIR)/wiggle.1
+	$(INSTALL) -d $(DESTDIR)$(BINDIR) $(DESTDIR)$(MAN1DIR)
+	$(INSTALL) $(STRIP) -m 755 wiggle $(DESTDIR)$(BINDIR)
+	$(INSTALL) -m 644 wiggle.1 $(DESTDIR)$(MAN1DIR)
 
 version : ReadMe.c wiggle.1
 	@rm -f version
