=== debian/changelog ===
wiggle (1.1-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (See: #920082)
  * New upstream release [1.1].
  * Update B-D: libncurses5-dev -> libncurses-dev.
  * Build with Debhelper compat level 12.
  * Update VCS details.
  * Set "Rules-Requires-Root: no".
  * Perform wrap-and-sort on Debian source files.
  * Update upstream URLs.
  * Suppress debian-watch-does-not-check-gpg-signature lintian warning.
  * Add machine-readable upstream metadata.
  * Build verbosely and with LFS support.
  * Update debian/copyright.
  * Add typos.patch to fix some typos.
  * Add debian/gbp.conf.
  * Add gcc8-format-security.patch to fix format overflow and truncation
    warnings.
  * Relax pedantic GCC warnings, as well as warnings about unused result.
  * Indicate compliance with Debian Policy 4.3.0.
  * Indicate that the package enhances git.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 25 Jan 2019 12:17:13 +1100
