=== debian/control ===
Source: wiggle
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 12), groff, libncurses-dev, time
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/wiggle
Vcs-Git: https://salsa.debian.org/debian/wiggle.git
Homepage: https://neil.brown.name/wiggle
Rules-Requires-Root: no

Package: wiggle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: git
Description: apply patches with conflicting changes
 Wiggle is a program for applying patches that 'patch' cannot
 apply due to conflicting changes in the original.
 .
 Wiggle will always apply all changes in the patch to the original.
 If it cannot find a way to cleanly apply a patch, it inserts it
 in the original in a manner similar to 'merge', and report an
 unresolvable conflict.
