=== debian/changelog ===
wiggle (1.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Feb 2024 13:54:18 -0500

wiggle (1.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * Bump debhelper compat to v13.
  * debian/gbp.conf: Relax branch requirements.
  * debian/rules: Drop unnecessary --as-needed parameter.
  * debian/upstream/metadata: Drop deprecated fields.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Oct 2023 12:09:14 -0400
