=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 12), groff, libncurses-dev, time
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), groff, libncurses-dev, time
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/wiggle
 Vcs-Git: https://salsa.debian.org/debian/wiggle.git
 Homepage: https://neil.brown.name/wiggle
