=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS	= hardening=+all future=+lfs
 export DEB_CFLAGS_MAINT_APPEND	= -Wall -Wno-unused-result -I.
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 %:
 	dh $@
