=== debian/watch ===
version=3
https://neil.brown.name/wiggle/wiggle-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
